# -*- encoding : utf-8 -*-
  
module Formtastic
    module QiCibleSelect



      protected

      def qi_cible_select_input(method, options)
	
		r = rand(1000000000000000000000000000)	
		
        html_options = options.delete(:input_html) || {}

        self.label(method, options_for_label(options)) +
        template.content_tag(:fieldset, template.text_field_tag("cible_name", (object.cible ? object.cible.cible_name : "aucuns élément séléctionné"), :id =>"name_#{r}" )+ self.manager_select_cible_link(method, options, r) + self.send(:hidden_field, method.to_s+"_id", html_options.merge!(:id => "input_id_"+r.to_s))+ self.send(:hidden_field, method.to_s+"_type", html_options.merge!(:id => "input_type_"+r.to_s)))
      end


		def manager_select_cible_link(method, options, r)

			template.content_tag(:a, "Modifier ce lien", :href => "#", :onclick => "select_cible_from_manager('"+r.to_s+"');return false;")
			
		end
		
      def image_preview(method, options,r)
        
        if object.send("#{method}?")
          template.content_tag(:span, template.image_tag(object.image_file.file.large.medium.small.thumb.url, :id => "img_"+r.to_s), :class => "preview ")
        else
          template.content_tag(:span, template.image_tag("", :id => "img_"+r.to_s), :class => "preview ")
        end
      end

    end
  end